crashpad::ElfImageReader::ProgramHeaderTable Class Referenceabstract
Inheritance diagram for crashpad::ElfImageReader::ProgramHeaderTable:

## Public Member Functions

virtual bool | VerifyLoadSegments (bool verbose) const =0
virtual size_t | Size () const =0
virtual bool | GetDynamicSegment (VMAddress *address, VMSize *size) const =0
virtual bool | GetPreferredElfHeaderAddress (VMAddress *address, bool verbose) const =0
virtual bool | GetPreferredLoadedMemoryRange (VMAddress *address, VMSize *size, bool verbose) const =0
virtual bool | GetNoteSegment (size_t *start_index, VMAddress *address, VMSize *size) const =0

The documentation for this class was generated from the following file:

- snapshot/elf/elf_image_reader.cc